# Raspberry Pi BullsEye arm64 Virtual machine Installation Guide

Tested on Windows 10 22H2 19045.3448

## Prerequisites

1. qemu<br>
(https://qemu.weilnetz.de/w64/)
2. DiskInternals Linux Reader<br>
(https://www.diskinternals.com/linux-reader/)
3. qBittorent<br>
(https://www.qbittorrent.org/download)

## Installation

1. Install **qemu** and **Linux Reader**
2. Download **2022-01-28-raspios-bullseye-arm64_zip** zip archive with *qBittorrent* and extract it
3. Open **Linux Reader**, click *Drives* -> *Mount Image* and choose the path to **image** .img file
4. In *Volumes* section open **FAT32 Volume 2 (boot)**
5. Select both *bcm2710-rpi-3-b-plus.dtb* and *kernel8.img* -> right click -> *Save*
6. Move to **qemu** installation directory (`C:\Program Files\qemu` by default) the following files: 
    - bcm2710-rpi-3-b-plus.dtb
    - kernel8.img
    - 2022-01-28-raspios-bullseye-arm64
    - run_raspberry_pi.bat
7. Open CMD at this directory and run `qemi-img resize 2022-01-28-raspios-bullseye-arm64.img 4G`

## Launching

1. In **qemu** installation directory open CMD as Admin
2. Type in `run_raspberry_pi.bat` and run. This will open qemu virtual machine and launch Raspberry Pi OS. This may take up to 5 minutes
3. When Raspberry Pi is launched, in CMD type in the following credentials:
```
login: pi
password: raspberry
```

Now you should be able to enter Linux/RaspberryPi commands in CMD window

## Video Guide

You can use [this YouTube video](https://www.youtube.com/watch?v=aiR1WI8XHSA) as a reference
